Υποστήριξη» Αντιμετώπιση Προβλημάτων» Προβλημα με YITH WooCommerce Wishlist

  • Τί πρέπει να κάνω για το θέμα που δημιουργήθηκε;

    YITH WooCommerce Wishlist gives your users the possibility to create, fill, manage and share their wishlists allowing you to analyze their interests and needs to improve your marketing strategies. Get more plugins for your e-commerce on YITH

    Έκδοση 3.25.0 | Από YITH | Προβολή λεπτομερειών

     Αυτό το πρόσθετο απέτυχε να φορτωθεί σωστά και έχει τεθεί σε παύση κατά τη διάρκεια της λειτουργίας αποκατάστασης.

    Ένα σφάλμα τύπου E_ERROR εντοπίστηκε στη γραμμή 843 του αρχείου /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-content/plugins/yith-woocommerce-wishlist/plugin-fw/includes/class-yit-plugin-panel.php. Κωδικός σφάλματος: Uncaught TypeError: Cannot access offset of type string on string in /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-content/plugins/yith-woocommerce-wishlist/plugin-fw/includes/class-yit-plugin-panel.php:843 Stack trace: #0 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-content/plugins/yith-woocommerce-wishlist/plugin-fw/includes/class-yit-plugin-panel.php(289): YIT_Plugin_Panel->get_tab_info_by_options() #1 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-content/plugins/yith-woocommerce-wishlist/plugin-fw/includes/class-yit-plugin-panel.php(1626): YIT_Plugin_Panel->maybe_init_vars() #2 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-content/plugins/yith-woocommerce-wishlist/plugin-fw/includes/class-yit-plugin-panel.php(2136): YIT_Plugin_Panel->get_tabs_hierarchy() #3 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-content/plugins/yith-woocommerce-wishlist/plugin-fw/includes/class-yit-plugin-panel.php(1453): YIT_Plugin_Panel->get_post_type_tabs() #4 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-content/plugins/yith-woocommerce-wishlist/plugin-fw/includes/class-yit-plugin-panel-woocommerce.php(214): YIT_Plugin_Panel->get_current_tab() #5 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-content/plugins/yith-woocommerce-wishlist/plugin-fw/includes/class-yit-plugin-panel.php(2486): YIT_Plugin_Panel_WooCommerce->get_current_tab() #6 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-content/plugins/yith-woocommerce-wishlist/plugin-fw/includes/class-yit-plugin-panel-woocommerce.php(617): YIT_Plugin_Panel->is_current_panel() #7 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-includes/class-wp-hook.php(310): YIT_Plugin_Panel_WooCommerce->admin_enqueue_scripts() #8 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-includes/class-wp-hook.php(334): WP_Hook->apply_filters() #9 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-includes/plugin.php(517): WP_Hook->do_action() #10 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-admin/admin-header.php(118): do_action() #11 /var/www/vhosts/agiosnikodimos.gr/httpdocs/wp-admin/edit.php(407): require_once('...') #12 {main} thrown

Επισκόπηση 8 απαντήσεων - 1 έως 8 (από 8 συνολικά)
  • Εκκινητής Νήματος corsair7

    (@corsair7)

    Όταν παω να δώ τις ΠΑΡΑΓΓΕΛΙΕΣ στο e-shop δεν ανοίγει και μου βγάζει μήνυμα οτι υπάρχει πρόβλημα με το εν λόγο plugin.

    Καλησπέρα.

    Δεν ξέρω τι έχεις ψάξει μέχρι τώρα. Υπάρχουν αρκετά να κοιτάξεις (τα γράφω με τυχαία σειρά):

    1. Διαγραφή πλήρης και εγκατάσταση από το μηδέν (του plugin)
    2. Debugging
    3. Πρόβλημα με PHP
    4. Plugin Conflict
    5. Πρόβλημα με theme
    6. Πρόβλημα από δικαιώματα
    7. Πρόβλημα από άλλο αρχείο
    8. Αναβάθμιση Plugin

    Σίγουρα κάποιο από τα παραπάνω θα σε βοηθήσει να φτάσεις στην λύση. Αν δεν βρίσκεις λύση μόνος, επικοινώνησε με τον hosting provider σου ή τους developers του plugin.

    Στο μεταξύ, επειδή είσαι σε production κατάσταση, αν δεν βρεις λύση σύντομα, απενεργοποίησε το plugin στις ώρες αιχμής τουλάχιστον για να δουλεύει το eshop.

    Εκκινητής Νήματος corsair7

    (@corsair7)

    Ωραία ! Ευχαριστώ πολύ θα τα δώ και θα επανέλθω!

    Εκκινητής Νήματος corsair7

    (@corsair7)

    Δοκίμασα να κανω παραγγελία σαν πελάτης και δουλεύει κανονικά. Όταν παω μέσο ΠΙΝΑΚΑ ΕΛΕΓΧΟΥ να μπώ στις ΠΑΡΑΓΓΕΛΙΕΣ εκεί δεν με αφήνει.

    Αν δεν γράφει τίποτα το error_log, διαφορετικό από αυτό που έγραψες αρχικά, τότε θέλει ψάξιμο με έναν από τους τρόπους που σου είπα παραπάνω.

    Εκκινητής Νήματος corsair7

    (@corsair7)

    Τελικά διεγραψα το πρόσθετο yith minimum maximum quality product το οποίο δεν το βρήκα και πουθενά να υπάρχει, το οποίο ήθελε και αναβάθμιση αλλα για κάποιον ανεξήγητο λόγο η αναβάθμιση δεν ήταν εφικτή (έτσι έλεγε) και δουλεύει κανονικά. Ήθελα να μάθω που το βρήκαν αυτό το plugin.

    Άρα ήταν το Plugin Conflict.

    Χαίρομαι που βρήκες λύση 🙂

Επισκόπηση 8 απαντήσεων - 1 έως 8 (από 8 συνολικά)
  • Θα πρέπει να έχετε πραγματοποιήσει σύνδεση για να απαντήσετε σε αυτό το θέμα.